# HierarchyWizardEditorFunction (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardEditorFunction<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardEditorFunction<T>

- Type Parameters:
    `T` -

      public class HierarchyWizardEditorFunction<T>
      extends java.lang.Object

  Editor for functions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent<T>` Tiny callback for parents.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizardEditorFunction(HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent<T> parent, HierarchyWizardModelGrouping<T> model, org.eclipse.swt.widgets.Composite composite, boolean general)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.swt.widgets.Control` | `getControl1()` Return control1.
    `org.eclipse.swt.widgets.Control` | `getControl2()` Return control2.
    `AggregateFunction<T>` | `getDefaultFunction()` Returns the default function.
    `boolean` | `isDefaultFunction(AggregateFunction<T> function)` Returns whether this is the default function.
    `void` | `setFunction(AggregateFunction<T> function)` Sets the function to display.
    `void` | `update()` Updates all editors.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HierarchyWizardEditorFunction

          public HierarchyWizardEditorFunction(HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent<T> parent,
                                       HierarchyWizardModelGrouping<T> model,
                                       org.eclipse.swt.widgets.Composite composite,
                                       boolean general)

      Creates a new instance.
      Parameters:
        `parent` -
        `model` -
        `composite` -
        `general` -

  - ### Method Detail

    - #### getControl1

          public org.eclipse.swt.widgets.Control getControl1()

      Return control1.
      Returns:

    - #### getControl2

          public org.eclipse.swt.widgets.Control getControl2()

      Return control2.
      Returns:

    - #### getDefaultFunction

          public AggregateFunction<T> getDefaultFunction()

      Returns the default function.
      Returns:

    - #### isDefaultFunction

          public boolean isDefaultFunction(AggregateFunction<T> function)

      Returns whether this is the default function.
      Parameters:
        `function` -
      Returns:

    - #### setFunction

          public void setFunction(AggregateFunction<T> function)

      Sets the function to display.
      Parameters:
        `function` -

    - #### update

          public void update()

      Updates all editors.